Subject: Re: bug#47875: Elisp reader doesn't handle keywords

From: Leo Prikler <[email-masked]>
Date: Sat, 05 Jun 2021 23:14:25 +0200

Am Samstag, den 05.06.2021, 18:51 +0300 schrieb Ivan Sokolov:
> In Scheme keywords and symbols are separate entities, but in Elisp
> keywords are just self-quoted symbols. I think your solution will
> cause problems with Elisp algorithms that expect keywords to be
> symbolp.
You could define Elisp symbolp as 
(lambda (thing)
  (or (funcall (@ (guile) symbol?) thing)
      (funcall (@ (guile) keyword?) thing)))
but perhaps there's an even faster way to check this property.
The other way round – using Emacs keywords as Scheme symbols – will not
perform well if you think about Emacs code calling a Scheme function
that expects keywords.

Regards,
Leo